Bug 167031 - "Fix imports" and "Format" applied to a project
"Fix imports" and "Format" applied to a project
Product: java
Classification: Unclassified
Component: Editor
All Windows XP
: P3 (vote)
: 8.0
Assigned To: Dusan Balek
Depends on:
  Show dependency treegraph
Reported: 2009-06-13 10:20 UTC by mno
Modified: 2014-07-07 09:04 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description mno 2009-06-13 10:20:42 UTC
It would be great to have "Fix imports" and "Format" available to execute for a whole project, not just a single file.
Comment 1 Antonin Nebuzelsky 2010-03-29 14:11:06 UTC
Change of default owner.
Comment 2 markiewb 2012-05-18 18:21:23 UTC
* Format a one or more projects is supported in 7.2 

See http://wiki.netbeans.org/NetBeans_72_NewAndNoteworthy#Reformat_Multiple_Sources

* "Fix imports" not yet. Not even as "inspect and transform..." action...
Comment 3 almson 2014-06-26 18:37:27 UTC
Should this issue be closed? Both Format and Organize Imports work per-project. Fix Imports is probably impractical to apply to a whole project, though.
Comment 4 Dusan Balek 2014-07-07 09:04:03 UTC
Agree. Both Format and Organize Imports work per-project. Closing as fixed.

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo